Subject: Re: Need info re: Phazor, SeriALL, Grappler + (Buffered)
From: [email-masked] (Mitchell Spector)
Date: Fri, 12 Aug 1994 23:44:00 GMT
Newsgroups: comp.sys.apple2

In article [email-masked] (Brian Flanagan) writes...
>
>I recently picked up some old Apple cards, but didn't get any technical
>documentation on them.  Could someone please tell me...

Sure.. :)

>re: Buffered Grappler +:  What are the 4 DIP switches used for?  What is the
>pinout on the cable (I don't have a cable for it.)?

	I have two standard Grappler+ cards, as well the the 64k Buffered
Grappler+ version. The DIP switches are used to configure your card for a series
of different printers out there (I'll list those settings below). You may also
want to test the RAM memory on your Buffered Grappler+, so do the following
to invoke it's built-in self test. Making sure the card is installed in slot
#1, with the cable attached to the printer and the printer online with paper
in it, turn on your Apple II with the RESET key hold down, then release it
after 2-3 seconds. If you've done this correctly, a message will be printed
saying the test is in progress. After 45 seconds the status of your RAM chips
will be printed, numbered 1 to 8. If an "X" appears, this indicates the absence
of a RAM chip or a _bad_ chip. If you see a "1", this means a DRAM chip has been
found at the location and tests good. The cable you need is very common, and
all my other Apple II printer cards use it. It's a 26-pin female, to a 25-pin
centronics ribbon cable.

G+ Pin assignments:     DIP switch settings:	
~~~~~~~~~~~~~~~~~~      ~~~~~~~~~~~~~~~~~~~
STB   1 		DIP SWITCH POSITIONS     	  1    2    3    4
D0    3				
D1    5                 Epson Series and Star Gemini      OFF  ON   ON   ON
D2    7 		NEC 8023/C, Itoh 8510/DMP 85      OFF  ON   ON   OFF
D3    9 		Centronics 739-1                  OFF  ON   OFF  ON
D4    11		Anadex Printers                   OFF  ON   OFF  OFF
D5    13		Okidata 82A, 83A, 92, 93, 84      OFF  OFF  ON   ON
D6    15		Okidata 84 w/o Step II Graphics   OFF  OFF  OFF  ON
D7    17                Apple Dot Matrix                  OFF  OFF  ON   OFF
ACK   19                IDS Printers                      (Any position)
BUSY  21
P.E.  23                Notes: "+" side, or set to right, the switch is set to
SLCT  25                the ON position. Switch 1 controls MSB, the 8th bit.
N/C   -                 Setting switch 1 to 'ON' makes MSB _not_ transmitted...
GND   all others

[ps - Anyone know if a Grappler+ (or Buffered Grappler+) will function in
an Apple IIgs to drive a centronics printer? (ie - DeskJet 560, etc). 
I haven't tried, but I suspect a ROM update may be necessary. Is it?]

>re: Phasor (Applied Engineering)  What are the 4 DIP switches used for?  What
>are the 2 POTs used for?  Where can I get programming information for this
>soundcard?  Is Applied Engineering still in business?  (I hope so, they're my
>favorite Apple hardware company!)  I've tried contacting them recently, but
>couldn't find a current phone number.

	The Phasor is a great sound card. Offers you 12 sound channels (using 
all sorts of wave-form patterns and effects, simular to FM-synthesis in IBMs),
4 white noise generators (synthesized drums, etc) and a 1-voice synthesized
speech channel, expandable to 2 speech channels. Has a 4 watt amplifier that
can drive stereo speakers (left & right). It's compatible with most older
sound cards, like the Mockingboard, ALF, SMS and Echo+. Few programs ever
supported it, let alone many programs out there that supported the older cards.
It did, however, come with some decent software that showed off the card's
features and let you experiment with it a bit. 

	The four DIP switches control emulation modes and standard Apple ][
internal speaker sound-level (only if you disconnect internal speaker and have
old speaker toggling sent to Phasor). Switches #1 and #2 are for emulations.
Switches #3 and #4 control your old internal speaker sounds, again, *if* you
have speaker disconnected and that pin location on motherboard connected to 
Phasor. You can set Low, Medium and High volume with three different DIP
positions. This doesn't affect Phasor music/sound however. To do that, you
must turn those two pots you asked about. Each controls either the left or
right stereo channel. Turning them clock-wise increases volume, and you
probably don't want this too high up, or sound gets distorted! Put both
on an equal setting, unless you want one channel louder/softer than the
other.

Phasor DIP switch emulation modes:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Native Phasor mode:   1: closed, 2: closed
Mockingboard  mode:   1: opened, 2: closed
Echo+         mode:   1: opened, 2: opened  (Never got this mode to work!)

	As for Applied Engineering, you won't be able to contact them. They
went out of business back around March 1994. Not just the Apple II division,
but the entire company as a whole (Mac, Apple, Amiga divisions -- gone!).
You may be able to contact former AE employees on GEnie, there was a rumour
of someone taking over their repair/support for II users.
	
>re: SeriALL (Practical Peripherals)  Same questions...  What are the cable
>pinouts?  What are all the switches used for?

	I have a Practical Peripherals MicroBuffer II card. Mine seems to
be the parallel version of what you have. If the same, it may use the same 
non-standard 20-pin connector. 

>If anybody has any technical information on any of these cards, (or knows where
>I can get some) please e-mail me a note.
> 
>Thanks!
> 
>Brian Flanagan,  please address E-Mail as follows,
>from INTERNET: [email-masked]
>         UUCP: wupost.wustl.edu!sempco!brianf

Mitchell Spector
[email-masked] / [email-masked]